%define upstream_name    URI-FromHash
%define upstream_version 0.05

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Build a URI from a set of named parameters
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/URI/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Params::Validate)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(URI) >= 1.680.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%{?perl_default_filter}
%description
This module provides a simple one-subroutine "named parameters" style
interface for creating URIs. Underneath the hood it uses 'URI.pm', though
because of the simplified interface it may not support all possible options
for all types of URIs.

It was created for the common case where you simply want to have a simple
interface for creating syntactically correct URIs from known components
(like a path and query string). Doing this using the native 'URI.pm'
interface is rather tedious, requiring a number of method calls, which is
particularly ugly when done inside a templating system such as Mason or
TT2.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Mon Mar 28 2022 umeabot <umeabot> 0.50.0-5.mga9
+ Revision: 1830047
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.50.0-4.mga8
+ Revision: 1498057
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.50.0-3.mga7
+ Revision: 1272416
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.50.0-2.mga6
+ Revision: 1035627
- Rebuild for perl 5.22.2

* Sat Jan 16 2016 shlomif <shlomif> 0.50.0-1.mga6
+ Revision: 924069
- update to 0.05

* Wed Oct 15 2014 umeabot <umeabot> 0.40.0-5.mga5
+ Revision: 745968
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.40.0-4.mga5
+ Revision: 732600
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.40.0-3.mga5
+ Revision: 686772
- Mageia 5 Mass Rebuild
- Mageia 4 Mass Rebuild

* Wed Jun 26 2013 jquelin <jquelin> 0.40.0-1.mga4
+ Revision: 447144
- update to 0.04

* Sun Jan 13 2013 umeabot <umeabot> 0.30.0-2.mga3
+ Revision: 374573
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 0.30.0-1.mga1
+ Revision: 32527
- mageia rebuild
- imported package perl-URI-FromHash

